<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        // 执行原生 SQL 语句
        DB::statement("CREATE TABLE `ufutx_s2_tmp_shop_sku` (
  `real_id` int(11) NOT NULL COMMENT 'real_object_id',
  `shop_id` int(11) NOT NULL COMMENT 'shop_id',
  `sku_id` int(11) NOT NULL COMMENT 'sku_id'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='迁移数据临时表, 记录shopid, skuid的组合与real_object_id的对应关系';");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('s2_tmp_shop_sku');
    }
};
